//---------------------------------------------------------------------------
#ifndef MultiCams_H
#define MultiCams_H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "MoDetect.hpp"
#include "MoDetect.hpp"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:
        TGroupBox *GroupBox1;
        TShape *Shape1;
        TImage *Image1;
        TCheckBox *CheckBox1;
        TEdit *Edit1;
        TMemo *Memo1;
        TVideoGrabber *VideoGrabber1;
        TGroupBox *GroupBox2;
        TShape *Shape2;
        TImage *Image2;
        TCheckBox *CheckBox2;
        TEdit *Edit2;
        TMemo *Memo2;
        TVideoGrabber *VideoGrabber2;
        TGroupBox *GroupBox3;
        TShape *Shape3;
        TImage *Image3;
        TCheckBox *CheckBox3;
        TEdit *Edit3;
        TMemo *Memo3;
        TVideoGrabber *VideoGrabber3;
        TGroupBox *GroupBox4;
        TShape *Shape4;
        TImage *Image4;
        TCheckBox *CheckBox4;
        TEdit *Edit4;
        TMemo *Memo4;
        TVideoGrabber *VideoGrabber4;
        TGroupBox *GroupBox5;
        TLabel *Label1;
        TLabel *Label2;
        TCheckBox *CheckBox5;
        TEdit *Edit5;
        TUpDown *UpDown1;
        TEdit *Edit6;
        TUpDown *UpDown2;
        TMotionDetector *MotionDetector3;
        TMotionDetector *MotionDetector4;
        TMotionDetector *MotionDetector1;
        TMotionDetector *MotionDetector2;
        void __fastcall UpDown1Click(TObject *Sender, TUDBtnType Button);
        void __fastcall UpDown2Click(TObject *Sender, TUDBtnType Button);
        void __fastcall CheckBox5Click(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall CheckBox1Click(TObject *Sender);
        void __fastcall CheckBox2Click(TObject *Sender);
        void __fastcall CheckBox3Click(TObject *Sender);
        void __fastcall CheckBox4Click(TObject *Sender);
        void __fastcall MotionDetector1MotionDetected(TObject *Sender,
          double GlobalMotionRatio);
        void __fastcall MotionDetector1MotionNotDetected(TObject *Sender);
        void __fastcall MotionDetector2MotionDetected(TObject *Sender,
          double GlobalMotionRatio);
        void __fastcall MotionDetector2MotionNotDetected(TObject *Sender);
        void __fastcall MotionDetector3MotionDetected(TObject *Sender,
          double GlobalMotionRatio);
        void __fastcall MotionDetector3MotionNotDetected(TObject *Sender);
        void __fastcall MotionDetector4MotionDetected(TObject *Sender,
          double GlobalMotionRatio);
        void __fastcall MotionDetector4MotionNotDetected(TObject *Sender);

private:
        void __fastcall SetupGrid (TMotionDetector *MotionDetector, TMemo *Memo, TGroupBox *GroupBox);
        void __fastcall SetupGrids (void);
        void __fastcall SetupTVideoGrabber (TVideoGrabber *VideoGrabber, TMotionDetector *MotionDetector);
        void __fastcall ProcessMotion (bool MotionDetected, TMotionDetector *MotionDetector, TShape *Shape, TMemo *Memo, TEdit *Edit, TImage *Image);

public:
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
